All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.swing.models.remotefileselector2
Interface BaseRemoteFileModelInterface

All Superinterfaces:
  javax.swing.table.TableModel

All Known Subinterfaces:
  RemoteFileNavigationModelInterface, RemoteFileSearchModelInterface

All Known Implementing Classes:
  InformationServicesNavigationModel, InformationServicesSearchModel

    public interface BaseRemoteFileModelInterface

extends javax.swing.table.TableModel

RemoteFileServerModelInterface defines the model interface that communicates between the service model and the user interface.

Since:
  9.1.4

Field Summary
`static java.lang.String` | `AUTHOR_COLUMN`
`static java.lang.String` | `CREATED_DATE_COLUMN`
`static java.lang.String` | `DESCRIPTION_COLUMN`
`static java.lang.String` | `ENGINE_COLUMN`
`static java.lang.String` | `ENTITY_KEY_COLUMN`
`static java.lang.String` | `FILE_METADATA_COLUMN`
`static java.lang.String` | `IS_A_FOLDER_COLUMN`
`static java.lang.String` | `KEYWORDS_COLUMN`
`static java.lang.String` | `MODIFIED_DATE_COLUMN`
`static java.lang.String` | `NAME_COLUMN`
`static java.lang.String` | `PATH_COLUMN`
`static java.lang.String` | `SIZE_COLUMN`
`static java.lang.String` | `SPECIAL_TYPE_COLUMN`
`static java.lang.String` | `TYPE_COLUMN`

Method Summary
`abstract void` | `addToPasteBuffer(java.lang.Object node)` Add the given metadata node to the paste buffer.
`abstract void` | `cancelLoadFileInfo()`
`abstract void` | `clearPasteBuffer()` Clears the buffer of all metadata items.
`abstract java.lang.String` | `getBasePath()` Returns the file system path used as the base for all navigation.
`abstract int` | `getColumnIndex(java.lang.String column)` A utility method that returns a column index as defined by the column name constants defined in this interface.
`abstract java.lang.String` | `getLocation()` Returns the file system path currently being viewed.
`abstract RemoteFileMetadataInterface` | `getNodeAt(int rowIndex)` Returns a RemoteFileMetadataInterface for specified index.
`abstract java.util.List` | `getPasteBuffer()` Returns the contents of the paste buffer.
`abstract int` | `getPasteBufferCommandType()` Returns the command type.
`abstract java.lang.String` | `getServerName()` Returns the name of the file system top level.
`abstract boolean` | `isRefreshNeeded()` Returns the status of the model's refresh flag.
`abstract boolean` | `isTableEditable()` Determine if the table is editable.
`abstract boolean` | `isUpwardPathRestricted()` Returns true if the model's current path is at the topmost path of the current server, false otherwise.
`abstract java.lang.String[][]` | `parseIntoFoldersAndLocations(java.lang.String path)` A utility method that returns an array containing the individual folder elements of the path and the directory path representing the element's parent folder.
`abstract void` | `setLocation(java.lang.String path)` Sets the file system path to be viewed.
`abstract void` | `setPasteBufferCommandType(int commandType)` Sets the paste buffer command type so it know's if we are copying or cutting the items.
`abstract void` | `setRefreshNeeded(boolean needsRefresh)` Sets a dirty flag that can be queried to determine if the model needs to ask for more file information.
`abstract void` | `setTableEditable(boolean editable)` Set the table to state defined by editable.

Field Detail

### NAME_COLUMN

    static final java.lang.String NAME_COLUMN

See Also:
  Constant Field Values

### AUTHOR_COLUMN

    static final java.lang.String AUTHOR_COLUMN

See Also:
  Constant Field Values

### MODIFIED_DATE_COLUMN

    static final java.lang.String MODIFIED_DATE_COLUMN

See Also:
  Constant Field Values

### CREATED_DATE_COLUMN

    static final java.lang.String CREATED_DATE_COLUMN

See Also:
  Constant Field Values

### KEYWORDS_COLUMN

    static final java.lang.String KEYWORDS_COLUMN

See Also:
  Constant Field Values

### DESCRIPTION_COLUMN

    static final java.lang.String DESCRIPTION_COLUMN

See Also:
  Constant Field Values

### PATH_COLUMN

    static final java.lang.String PATH_COLUMN

See Also:
  Constant Field Values

### ENTITY_KEY_COLUMN

    static final java.lang.String ENTITY_KEY_COLUMN

See Also:
  Constant Field Values

### IS_A_FOLDER_COLUMN

    static final java.lang.String IS_A_FOLDER_COLUMN

See Also:
  Constant Field Values

### SIZE_COLUMN

    static final java.lang.String SIZE_COLUMN

See Also:
  Constant Field Values

### ENGINE_COLUMN

    static final java.lang.String ENGINE_COLUMN

See Also:
  Constant Field Values

### TYPE_COLUMN

    static final java.lang.String TYPE_COLUMN

See Also:
  Constant Field Values

### SPECIAL_TYPE_COLUMN

    static final java.lang.String SPECIAL_TYPE_COLUMN

See Also:
  Constant Field Values

### FILE_METADATA_COLUMN

    static final java.lang.String FILE_METADATA_COLUMN

See Also:
  Constant Field Values

Method Detail

### setLocation

    void setLocation(java.lang.String path)

  Sets the file system path to be viewed.

  Parameters:
    `path` - the file system path
  See Also:
    `getLocation()`

### getLocation

    java.lang.String getLocation()

  Returns the file system path currently being viewed.

  Returns:
    the file system path
  See Also:
    `setLocation(String)`

### cancelLoadFileInfo

    void cancelLoadFileInfo()

  Not currently used... Cancels the gathering of file information initiated by a call to loadFileInfo()

### isUpwardPathRestricted

    boolean isUpwardPathRestricted()

  Returns true if the model's current path is at the topmost path of the current server, false otherwise. Those consuming this model should call this method before moving upwards in the file system.

  Returns:
    returns true if the current path is the topmost path of the current server

### getBasePath

    java.lang.String getBasePath()

  Returns the file system path used as the base for all navigation.

  Returns:
    the base file system path

### getServerName

    java.lang.String getServerName()

  Returns the name of the file system top level.

  Returns:
    the name of the top level

### getNodeAt

    RemoteFileMetadataInterface getNodeAt(int rowIndex)

  Returns a RemoteFileMetadataInterface for specified index.

  Parameters:
    `rowIndex` - the specified table row
  Returns:
    the RemoteFileMetadataInterface

### isTableEditable

    boolean isTableEditable()

  Determine if the table is editable. If the table is not editable, then none of the cells will be editable. This value is false by default.

  Returns:
    the table editable status
  See Also:
    `setTableEditable(boolean)`

### setTableEditable

    void setTableEditable(boolean editable)

  Set the table to state defined by editable. Even though the table may be editable, the cell may not be editable.

  Parameters:
    `editable` - the editable status
  See Also:
    `isTableEditable()`

### parseIntoFoldersAndLocations

    java.lang.String[][] parseIntoFoldersAndLocations(java.lang.String path)

  A utility method that returns an array containing the individual folder elements of the path and the directory path representing the element's parent folder.

  Parameters:
    `path` - the path to be parsed
  Returns:
    a two dimensional array containing the individual element and the parent directory path

### getColumnIndex

    int getColumnIndex(java.lang.String column)

  A utility method that returns a column index as defined by the column name constants defined in this interface.

  Parameters:
    `column` - the column name constant
  Returns:
    the column index associated with the specified constant

### setRefreshNeeded

    void setRefreshNeeded(boolean needsRefresh)

  Sets a dirty flag that can be queried to determine if the model needs to ask for more file information.

  Parameters:
    `needsRefresh` - the dirty flag

### isRefreshNeeded

    boolean isRefreshNeeded()

  Returns the status of the model's refresh flag.

  Returns:
    returns true if refresh is needed and false if refresh is not needed.

### addToPasteBuffer

    void addToPasteBuffer(java.lang.Object node)

  Add the given metadata node to the paste buffer.

  Parameters:
    `node` - the node to be added.

### clearPasteBuffer

    void clearPasteBuffer()

  Clears the buffer of all metadata items.

### getPasteBuffer

    java.util.List getPasteBuffer()

  Returns the contents of the paste buffer.

  Returns:
    a list of RemoteFileMetadataInterface nodes

### setPasteBufferCommandType

    void setPasteBufferCommandType(int commandType)

  Sets the paste buffer command type so it know's if we are copying or cutting the items.

  Parameters:
    `commandType` - the command type, copy = 0 and cut = 1
  See Also:
    `getPasteBufferCommandType()`

### getPasteBufferCommandType

    int getPasteBufferCommandType()

  Returns the command type.

  Returns:
    the command type
  See Also:
    `setPasteBufferCommandType(int)`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.